version: '3'
services:
  homarr:
    container_name: mangrana_homarr
    image: ghcr.io/ajnart/homarr:latest
    restart: unless-stopped
    environment:
      - DEFAULT_COLOR_SCHEME=dark
    volumes:
      - ${HOST_DOCKER_SOCK}:/var/run/docker.sock # Optional, only if you want docker integration
      - ./configs:/app/data/configs
      - ./icons:/app/public/icons
      - ./data:/data
      - ./imgs:/imgs
    ports:
      - ${HOST_PORT}:7575
    extra_hosts:
      - "host.docker.internal:host-gateway"
    dns:
      - ${DNS_IP}